//
//  Layer.m
//  MyMote
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "Layer.h"

@implementation Layer

@synthesize layer;

- (id)initWithCGContext:(CGContextRef)context size:(CGSize)size {
	if (self = [super init]) {
		layer = CGLayerCreateWithContext(context, size, NULL);
	}
	return self;
}

- (void)dealloc {
	CGLayerRelease(layer);
	[super dealloc];
}

@end
